﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr195_1
{
    // Структура: 
    struct MyStruct {
        // Открытое текстовое поле: 
        public string name;
        // Открытое целочисленное поле: 
        public int code;
        // Конструктор с двумя аргументами: 
        public MyStruct(string name, int code) {
            // Присваивание значения полям:
            this.name = name;
            this.code = code;
        }
        // Переопределение метода ToString(): 
        public override string ToString() {
            // Текстовая строка:
            string txt = "Экземпляр \"" + name + "\"\n";
            txt += "Числовое поле: " + code + "\n";
            // Результат метода: 
            return txt;
        }
    }

    // Класс с главным методом:
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Создание экземпляров структуры:
            MyStruct A = new MyStruct("Alpha", 100);
            MyStruct B = new MyStruct("Bravo", 200);
            // Операции с экземплярами:
            Console.WriteLine(A);
            string text = B + "Выполнение программы завершено";
            Console.WriteLine(text);
            // Задержка:
            Console.ReadLine();
        }
    }
}
